---
search:
  tags:
    - Organizations
    - POST
seo:
  description: >-
    Create an organization. Reference for the POST /v1/organizations endpoint in
    the Stashtab Vault Warehouse API.
sidebar:
  label: Create an organization
  badge: POST
title: Create an organization
type: openapi-operation
---
`POST /v1/organizations`

**Request body** (`application/json`, required)

- `name` (string, required)
- `slug` (string, required)
- `submissionKey` (string, required)

Request body example:

```json
{
  "name": "string",
  "slug": "string",
  "submissionKey": "stringst"
}
```

**Responses**

- `200` — Success
- `default` — Error

Response example, 200:

```json
{
  "data": {
    "effects": [
      "string"
    ],
    "operationId": "string",
    "outcome": "confirmed",
    "organization": {
      "id": "string",
      "name": "string",
      "role": "viewer",
      "slug": "string"
    }
  },
  "meta": {
    "requestId": "string"
  }
}
```
